Bug 103403 - Perms in perl-Time-HiRes RPM
Summary: Perms in perl-Time-HiRes RPM
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: perl-Time-HiRes   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-29 20:22 UTC by Need Real Name
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-09 03:06:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-08-29 20:22:23 UTC
After install:

$ ls -l /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/auto/Time
total 4
drwx------    2 root     root         4096 Aug 29 19:12 HiRes

So only root can use the module...

Comment 1 Jose Pedro Oliveira 2005-01-28 03:45:09 UTC
*This one can be closed*.

perl 5.8.0 -> Red Hat 8.0 or Red Hat 9

RH80: perl-Time-HiRes-1.20-23.i386.rpm
RH9:  perl-Time-HiRes-1.38-3.i386.rpm

Both packages have the correct permissions for the above directory:
$ rpm -qplv
redhat/8.0/en/full/RedHat/RPMS/perl-Time-HiRes-1.20-23.i386.rpm
...
drwxr-xr-x    2 root    root                0 Jul 16  2002
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/auto/Time
...

$ rpm -qplv redhat/9/en/full/RedHat/RPMS/perl-Time-HiRes-1.38-3.i386.rpm
...
drwxr-xr-x    2 root    root                0 Jan 28  2003
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/auto/Time
...



Note You need to log in before you can comment on or make changes to this bug.